Package org.gitana.platform.client.support

# Interface TitleDescription

All Known Subinterfaces:
  `Application`, `ApplicationDocument`, `Archive`, `Association`, `AssociationDefinition`, `AuthenticationGrant`, `AutoClientMapping`, `BaseNode`, `BillingProviderConfiguration`, `Branch`, `Changeset`, `ChildAssociation`, `Client`, `Cluster`, `ClusterDataStore`, `ClusterDocument`, `CopiedFromAssociation`, `CreatedAssociation`, `DataStore`, `Definition`, `DeletedAssociation`, `Deletion`, `DeployedApplication`, `Directory`, `DirectoryDocument`, `Document`, `Domain`, `DomainDocument`, `DomainGroup`, `DomainPrincipal`, `DomainUser`, `Email`, `EmailProvider`, `FeatureDefinition`, `Form`, `Group`, `HasBehaviorAssociation`, `HasFormAssociation`, `HasLockAssociation`, `HasMountAssociation`, `HasTranslationAssociation`, `Identity`, `Job`, `LinkedAssociation`, `LogEntry`, `Meter`, `Node`, `NodeList`, `OwnedAssociation`, `Person`, `Plan`, `Platform`, `PlatformDataStore`, `PlatformDocument`, `Project`, `Registrar`, `RegistrarDocument`, `Registration`, `Release`, `Repository`, `RepositoryDocument`, `Rule`, `Settings`, `Stack`, `Tenant`, `TypeDefinition`, `UpdatedAssociation`, `Vault`, `VaultDocument`, `WebHost`, `WebHostDocument`

All Known Implementing Classes:
  `AbstractApplicationDocumentImpl`, `AbstractClusterDataStoreImpl`, `AbstractClusterDocumentImpl`, `AbstractDataStoreImpl`, `AbstractDefinitionImpl`, `AbstractDirectoryDocumentImpl`, `AbstractDomainDocumentImpl`, `AbstractDomainPrincipalImpl`, `AbstractPlatformDataStoreImpl`, `AbstractPlatformDocumentImpl`, `AbstractRegistrarDocumentImpl`, `AbstractRepositoryDocumentImpl`, `AbstractVaultDocumentImpl`, `AbstractWebHostDocumentImpl`, `ApplicationImpl`, `ArchiveImpl`, `AssociationDefinitionImpl`, `AssociationImpl`, `AuthenticationGrantImpl`, `AutoClientMappingImpl`, `BaseNodeImpl`, `BillingProviderConfigurationImpl`, `BranchImpl`, `ChangesetImpl`, `ChildAssociationImpl`, `ClientImpl`, `ClusterImpl`, `CopiedFromAssociationImpl`, `CopyJob`, `CreatedAssociationImpl`, `DeletedAssociationImpl`, `DeletionImpl`, `DeployedApplicationImpl`, `DirectoryImpl`, `DocumentImpl`, `DomainGroupImpl`, `DomainImpl`, `DomainUserImpl`, `EmailImpl`, `EmailProviderImpl`, `FeatureDefinitionImpl`, `FormImpl`, `GroupImpl`, `HasBehaviorAssociationImpl`, `HasFormAssociationImpl`, `HasLockAssociationImpl`, `HasMountAssociationImpl`, `HasTranslationAssociationImpl`, `IdentityImpl`, `JobImpl`, `LinkedAssociationImpl`, `LogEntryImpl`, `MeterImpl`, `NodeImpl`, `NodeListImpl`, `OwnedAssociationImpl`, `PersonImpl`, `PlanImpl`, `PlatformImpl`, `ProjectImpl`, `RegistrarImpl`, `RegistrationImpl`, `ReleaseImpl`, `RepositoryImpl`, `RuleImpl`, `SettingsImpl`, `StackImpl`, `TenantImpl`, `TransferExportJob`, `TransferImportJob`, `TypeDefinitionImpl`, `UpdatedAssociationImpl`, `VaultImpl`, `WebHostImpl`

public interface TitleDescription

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_DESCRIPTION`
`static final String`
`FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
`String`
`getTitle()`
`void`
`setDescription(String description)`
Sets the description
`void`
`setTitle(String title)`
Sets the title

## Field Details

### FIELD_TITLE

static final String FIELD_TITLE

See Also:
  - Constant Field Values

### FIELD_DESCRIPTION

static final String FIELD_DESCRIPTION

See Also:
  - Constant Field Values

## Method Details

### getTitle

String getTitle()

Returns:
  the title

### setTitle

void setTitle(String title)
Sets the title

Parameters:
  `title` -

### getDescription

String getDescription()

Returns:
  the description

### setDescription

void setDescription(String description)
Sets the description

Parameters:
  `description` -